format_version: '1.0'

repository_url: https://github.com/openwall/john

sequence:
  base_version:
    input_file: 'ab3e6d31.zip'
    commit_sha1: ab3e6d310c96d5abf846be84b55b2731b6033717
  fix_attempt:
    - input_file: '1c5304ba.diff'
      commit_sha1: 1c5304baa2cc3e0c34c6bca6e37c7202d6154d51
    - input_file: '123a6549.diff'
      commit_sha1: 123a654960b5c9a41226a2b9c966b86de0aa5769
    
  expected_fix:
    input_file: '0cdae096.diff'
    commit_sha1: 0cdae096a4eb68b651dcc029fdd65d12c81075f7

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: []
  related_issue: https://github.com/openwall/john/issues/958
